#!/bin/sh
#
# For installation, put this file (irsim.sh) in ${CAD_HOME}/bin/irsim.
# Put startup script "irsim.tcl" and shared library "tclirsim.so"
# in ${CAD_HOME}/lib/irsim/tcl/, with a symbolic link from file
# ".wishrc" to "irsim.tcl".
#
# This script starts irsim under the Tcl interpreter,
# reading commands from a special .wishrc script which
# launches irsim and retains the Tcl interactive interpreter.

# Parse for the argument "-c[onsole]".  If it exists, run irsim
# with the TkCon console.  Strip this argument from the argument list.

TKCON=true

for i in $@ ; do
   case $i in
      -noc*) TKCON=;;
   esac
done

if [ $TKCON ]; then

   exec TCL_DIR/tkcon.tcl \
	-eval "source TCL_DIR/console.tcl" \
	-slave "package require Tk; set argc $#; set argv [list $*]; \
	source TCL_DIR/irsim.tcl"

#  exec TCL_DIR/tkcon.tcl -exec "" -eval \
#	"set argc $#; set argv [list $*]; source TCL_DIR/irsim.tcl"

else

   export HOME=TCL_DIR
#
# Make sure that the following points to your current wish
# executable, whereever it may be.
#
   exec wish -- $@

fi
